#****************************************************************************
#**
#**  File     :  /cdimage/units/URL0105/URL0105_script.lua
#**  Author(s):  David Tomandl
#**
#**  Summary  :  Cybran T1 Engineer Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CConstructionUnit = import('/lua/cybranunits.lua').CConstructionUnit
local CAirUnit = import('/lua/cybranunits.lua').CAirUnit


URA0105_FE = Class(CConstructionUnit) {
    Weapons = {
    },

    AirDestructionEffectBones = { 'Left', 'Right', 'Buildpoint_Center', 'AttachPoint', 'Front_Right_Wake', 'Front_Left_Wake',
                                  'Back_Wake', 'URA0105_FE', },

    BeamExhaustIdle = '/effects/emitters/missile_exhaust_fire_beam_05_emit.bp',
    BeamExhaustCruise = '/effects/emitters/missile_exhaust_fire_beam_04_emit.bp',

    OnStopBeingBuilt = function(self,builder,layer)
        CAirUnit.OnStopBeingBuilt(self,builder,layer)
        #TConstructionUnit.OnStopBeingBuilt(self,builder,layer)
        self.AnimManip = CreateAnimator(self)
        self.Trash:Add(self.AnimManip)
        self.AnimManip:PlayAnim(self:GetBlueprint().Display.AnimationTakeOff, false):SetRate(1)
    end,


    OnMotionVertEventChange = function(self, new, old)
        #LOG( 'OnMotionVertEventChange, new = ', new, ', old = ', old )
        CAirUnit.OnMotionVertEventChange(self, new, old)
        #TConstructionUnit.OnMotionVertEventChange(self, new, old)
        #Aborting a landing
        if ((new == 'Top' or new == 'Up') and old == 'Down') then
            self.AnimManip:SetRate(-1)
        elseif (new == 'Down') then
            self.AnimManip:PlayAnim(self:GetBlueprint().Display.AnimationLand, false):SetRate(1)
#NOTE: We need to add funtionality to fit this guy on the platform            
#        elseif (new == 'Bottom') then
#            self.AnimManip:PlayAnim(self:GetBlueprint().Display.AnimationIdle, true):SetRate(1)
        elseif (new == 'Up') then
            self.AnimManip:PlayAnim(self:GetBlueprint().Display.AnimationTakeOff, false):SetRate(1)
        end
    end,

}

TypeClass = URA0105_FE
